@echo off
rem ============================================================================
rem [名　称]　PALC-KIT　CSV出力データ勤怠管理サンプルアドインインストールバッチ
rem  2011/03/08  Painetec Co.,Ltd. M.WATA
rem ============================================================================
rem
rem
echo ============================================================================
echo     PALC-KIT　CSV出力データ　勤怠管理サンプルアドイン　インストールバッチ
echo ============================================================================

echo.
echo 　何かキーを押すとインストールを開始します。
echo 　中止する場合はCTRL+Cを押して、Yを入力して下さい。
echo.
pause


for /f "tokens=3-4 delims=. " %%i in ('ver') do (
    IF "%%i" == "XP" set os=xp
    IF "%%j" == "6" set os=vista
)

goto osver_%os%

:osver_xp
	copy .\PALC_ADDIN_KIN.xlam "C:\Documents and Settings\%USERNAME%\Application Data\Microsoft\AddIns\PALC_ADDIN_KIN.xlam"
	copy .\palcmac.cfg "C:\Documents and Settings\%USERNAME%\Application Data\Microsoft\AddIns\palcmac.cfg"
	dir "C:\Documents and Settings\%USERNAME%\Application Data\Microsoft\AddIns"
	goto :osver_end

:osver_vista
	copy .\PALC_ADDIN_KIN.xlam "C:\Users\%USERNAME%\AppData\Roaming\Microsoft\AddIns\PALC_ADDIN_KIN.xlam"
	copy .\palcmac.cfg "C:\Users\%USERNAME%\AppData\Roaming\Microsoft\AddIns\palcmac.cfg"
	dir "C:\Users\%USERNAME%\AppData\Roaming\Microsoft\AddIns"
	goto :osver_end

:osver_end

echo.
echo ============================================================================
echo                              終了しました。
echo ============================================================================
pause
